<?php return array (
  'manifest-version' => '1.1',
  'manifest-attributes' => 
  array (
    'license' => 'Copyright (C) 2011 Eelke van den Bos

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.',
    'readme' => 'Please report bugs & feature requests on Github:
https://github.com/eelkevdbos/gCalEvents

/* DESCRIPTION */

gCalEvents is a component that requests a Google Calendar eventfeed. It enables you to easily integrate google calendar items into your website.

It can be used to extract raw data from the feed and optionally parse the data to format it. To speed up the code, caching can be enabled.

Both public and private feeds can be used. For private feeds you can either supply your privateCookie in the snippet call or store it like a setting.

/* BASIC USAGE */

[[!gcalAgendaView &userID=`yourcalendaremail%40yourdomain.tld` &cached=`1` &decay=`86400` &limit=`5`]] // for public calendars and caching enabled (1 day decay)

[[!gcalAgendaView &userID=`yourcalendaremail%40yourdomain.tld` &privateCookie=`cookievalue`]] // for private calendars

[[!gcalAgendaView &useSettings=`1`]] // to use system settings

The same settings can be used for the [[!gcalWeekView]] snippet.

[[!gcalWeekView &useSettings=`1` &includeHeader=`0` &cached=`1`]] // for weekview of agenda defined in settings

/* ADVANCED PARAMETERS */

eventTpl, defines a new template for each event
wrapTpl, defines the wrapper for the events

startDate, to set a minimum startdate, format: Y-m-d\\TH:i:s
endDate, to set a maximum enddate, format: see startDate

includeAttendees, to include a list of attendees
cacheSlot, to give each cache item a unique slot for caching, useful when loading multiple agenda\'s on 1 resource

For detailed documentation, please visit Github wiki:
https://github.com/eelkevdbos/gCalEvents/wiki/

/* GENERAL */

The eventchunk has all the placeholders google calendar specifies in it\'s feed. A complete list of keys can be found at: 
http://code.google.com/intl/nl-NL/apis/calendar/data/2.0/developers_guide_protocol.html#RetrievingEvents

Multi-level feeds are concatenated with a dot as key. The entries are concatenated with a \', \' as separator.

Example:
Feed: {\'attendees\':[{\'displayName\':\'John Doe\'}, {\'displayName\':\'Henry Lloyd\'}]}
Placeholder: [[+attendees.displayName]]
Result: John Doe, Henry Lloyd',
    'setup-options' => 'gcalevents-0.3.0-alpha/setup-options.php',
  ),
  'manifest-vehicles' => 
  array (
    0 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modNamespace',
      'guid' => 'a0f96ab0365841f7712dad16479fe327',
      'native_key' => 'gcalevents',
      'filename' => 'modNamespace/df9a1ec1eb1cbf2169cc5fe80cf7469d.vehicle',
      'namespace' => 'gcalevents',
    ),
    1 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modSystemSetting',
      'guid' => '32f73ad501aa2a47f79c8580cf6da0ca',
      'native_key' => 'gcalevents.agendaID',
      'filename' => 'modSystemSetting/874534b14f136779d35a8663528fd33a.vehicle',
      'namespace' => 'gcalevents',
    ),
    2 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modSystemSetting',
      'guid' => '80103f8b79b8cbecf1e2f52832e39b56',
      'native_key' => 'gcalevents.privateCookie',
      'filename' => 'modSystemSetting/560edcfcf086aa9a4161ade8fc531697.vehicle',
      'namespace' => 'gcalevents',
    ),
    3 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modCategory',
      'guid' => 'f71884347e25ba810abc074811c6e7e4',
      'native_key' => 1,
      'filename' => 'modCategory/a5cb23c4239464f816942baf93d9f963.vehicle',
      'namespace' => 'gcalevents',
    ),
  ),
);